Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357051 - Pymol requires Pmw
Summary: Pymol requires Pmw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pymol
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Fenn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 15:07 UTC by David
Modified: 2016-07-29 02:52 UTC (History)
2 users (show)

Fixed In Version: pymol-1.8.2.2-2.20160625svn4159.fc24 pymol-1.8.2.2-2.20160625svn4159.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 23:55:37 UTC


Attachments (Terms of Use)

Description David 2016-07-15 15:07:51 UTC
Launching Pymol generates an error, and the menu window is not shown. Installing python3-Pmw solves the problem, so it should be added as a dependency.

 $ pymol 
 PyMOL(TM) Molecular Graphics System, Version 1.8.2.1.
 Copyright (c) Schrodinger, LLC.
 All Rights Reserved.
[...]
 OpenGL graphics engine:
  GL_VENDOR:   NVIDIA Corporation
  GL_RENDERER: GeForce GTX 750 Ti/PCIe/SSE2
  GL_VERSION:  4.5.0 NVIDIA 367.27
Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pymol/__init__.py", line 381, in launch_gui
    __import__(self.invocation.options.gui)
  File "/usr/lib64/python3.5/site-packages/pmg_tk/__init__.py", line 22, in <module>
    from .PMGApp import *
  File "/usr/lib64/python3.5/site-packages/pmg_tk/PMGApp.py", line 22, in <module>
    import Pmw
ImportError: No module named 'Pmw'
 Detected 8 CPU cores.  Enabled multithreaded rendering.

Comment 1 Fedora Update System 2016-07-16 21:04:07 UTC
pymol-1.8.2.2-2.20160625svn4159.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-df62d7f4c1

Comment 2 Fedora Update System 2016-07-16 21:04:12 UTC
pymol-1.8.2.2-2.20160625svn4159.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-561e398929

Comment 3 snoze 2016-07-17 23:59:37 UTC
I also have same problem in all machines running on fedora 23 and 24.

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pymol/__init__.py", line 381, in launch_gui
    __import__(self.invocation.options.gui)
  File "/usr/lib64/python3.5/site-packages/pmg_tk/__init__.py", line 22, in <module>
    from .PMGApp import *
  File "/usr/lib64/python3.5/site-packages/pmg_tk/PMGApp.py", line 22, in <module>
    import Pmw
ImportError: No module named 'Pmw'

Even after installing Pmw new update dowsn't help.!

Comment 4 Fedora Update System 2016-07-18 22:24:34 UTC
pymol-1.8.2.2-2.20160625svn4159.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-df62d7f4c1

Comment 5 Fedora Update System 2016-07-18 22:26:05 UTC
pymol-1.8.2.2-2.20160625svn4159.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-561e398929

Comment 6 Fedora Update System 2016-07-28 23:55:35 UTC
pymol-1.8.2.2-2.20160625svn4159.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-29 02:52:20 UTC
pymol-1.8.2.2-2.20160625svn4159.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.